# OS_NS_sys_shm.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/sys/os_shm.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_sys_shm.inl"`

Include dependency graph for OS_NS_sys_shm.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE_OS

## A set of wrappers for System V shared memory.

ACE_NAMESPACE_INLINE_FUNCTION void * | shmat (int int_id, const void *shmaddr, int shmflg)
ACE_NAMESPACE_INLINE_FUNCTION int | shmctl (int int_id, int cmd, struct shmid_ds *buf)
ACE_NAMESPACE_INLINE_FUNCTION int | shmdt (const void *shmaddr)
ACE_NAMESPACE_INLINE_FUNCTION int | shmget (key_t key, size_t size, int flags)

## Defines

#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_INLINE inline

## Detailed Description

Id
  OS_NS_sys_shm.h,v 1.8 2006/02/10 10:19:38 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE void * ACE_OS::shmat | ( | int | int_id,
|  | const void * | shmaddr,
|  | int | shmflg
| ) |

ACE_INLINE int ACE_OS::shmctl | ( | int | int_id,
|  | int | cmd,
|  | struct shmid_ds * | buf
| ) |

ACE_INLINE int ACE_OS::shmdt | ( | const void * | shmaddr | ) |

ACE_INLINE int ACE_OS::shmget | ( | key_t | key,
|  | size_t | size,
|  | int | flags
| ) |